package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSFillMode;

@ObfuscatedName("uk")
public class FillMode implements MouseWheel, RSFillMode {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Luk;"
   )
   public static final FillMode SOLID;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Luk;"
   )
   static final FillMode field5220;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Luk;"
   )
   static final FillMode field5222;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = -1892074699
   )
   public final int field5221;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = 1671352301
   )
   final int field5224;

   static {
      SOLID = new FillMode(0, 0);
      field5220 = new FillMode(1, 1);
      field5222 = new FillMode(2, 2);
   }

   FillMode(int var1, int var2) {
      this.field5221 = var1;
      this.field5224 = var2;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.field5224;
   }

   public int getOrdinal() {
      return this.rsOrdinal_base();
   }
}
